C3P0PooledConnection (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class C3P0PooledConnection

- java.lang.Object
- - com.mchange.v2.c3p0.impl.C3P0PooledConnection

- All Implemented Interfaces:
    com.mchange.v1.util.ClosableResource, javax.sql.PooledConnection

      public final class C3P0PooledConnection
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0PooledConnection(java.sql.Connection con, ConnectionTester connectionTester, boolean autoCommitOnClose, boolean forceIgnoreUnresolvedTransactions, ConnectionCustomizer cc, java.lang.String pdsIdt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionEventListener(javax.sql.ConnectionEventListener listener)`
    `void` | `addStatementEventListener(javax.sql.StatementEventListener sel)`
    `void` | `close()`
    `void` | `closeAll()`
    `java.sql.Connection` | `getConnection()`
    `int` | `getConnectionStatus()`
    `void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener listener)`
    `void` | `removeStatementEventListener(javax.sql.StatementEventListener sel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0PooledConnection

          public C3P0PooledConnection(java.sql.Connection con,
                                      ConnectionTester connectionTester,
                                      boolean autoCommitOnClose,
                                      boolean forceIgnoreUnresolvedTransactions,
                                      ConnectionCustomizer cc,
                                      java.lang.String pdsIdt)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### closeAll

          public void closeAll()
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addConnectionEventListener

          public void addConnectionEventListener(javax.sql.ConnectionEventListener listener)

    - #### removeConnectionEventListener

          public void removeConnectionEventListener(javax.sql.ConnectionEventListener listener)

    - #### addStatementEventListener

          public void addStatementEventListener(javax.sql.StatementEventListener sel)

    - #### removeStatementEventListener

          public void removeStatementEventListener(javax.sql.StatementEventListener sel)

    - #### getConnectionStatus

          public int getConnectionStatus()